## golang-1.20 1.20~rc2

=== debian/changelog ===
golang-1.20 (1.20~rc2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.20~rc2
  * Bump bootstrap Go to 1.17.
    See https://github.com/golang/go/issues/44505
  * Drop i386 bootstrap workaround with Go < 1.16
  * Add patch to skip TestUseCgroupFD for schroot
  * Update Standards-Version to 4.6.2 (no changes)
  * $GOROOT/pkg no longer stores pre-compiled package archives for the standard library
  * Make all scripts in src directory executable. To silence lintian.
  * Refresh lintian overrides

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 05 Jan 2023 16:01:28 +0800

golang-1.19 (1.19.4-1) unstable; urgency=medium

  * New upstream version 1.19.4
    + CVE-2022-41720: os, net/http: avoid escapes from os.DirFS and http.Dir
      on Windows
    + CVE-2022-41717: net/http: limit canonical header cache by bytes, not
      entries

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 06 Dec 2022 16:10:54 -0600

golang-1.19 (1.19.3-1) unstable; urgency=medium

  * New upstream version 1.19.3
    + CVE-2022-41716: syscall, os/exec: unsanitized NUL in environment variables
      On Windows, syscall.StartProcess and os/exec.Cmd did not properly check
      for invalid environment variable values. A malicious environment variable
      value could exploit this behavior to set a value for a different
      environment variable.

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Thu, 03 Nov 2022 08:39:47 -0500

golang-1.19 (1.19.2-1) unstable; urgency=medium

  * New upstream version 1.19.2
    + CVE-2022-2879: archive/tar: unbounded memory consumption when reading
      headers
    + CVE-2022-2880: net/http/httputil: ReverseProxy should not forward
      unparseable query parameters
    + CVE-2022-41715: regexp/syntax: limit memory used by parsing regexps

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 04 Oct 2022 15:23:25 -0500

golang-1.19 (1.19.1-1) unstable; urgency=medium

  * New upstream version 1.19.1

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 06 Sep 2022 14:58:49 -0500

golang-1.19 (1.19-1) unstable; urgency=medium

  * New upstream version 1.19
  * Update d/docs to reflect upstream removal of AUTHORS and CONTRIBUTORS

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 02 Aug 2022 15:35:20 -0500

golang-1.19 (1.19~rc2-1) unstable; urgency=medium

  * New upstream version 1.19 rc2

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 12 Jul 2022 18:32:28 -0500

golang-1.19 (1.19~rc1-1) unstable; urgency=medium

  * Team upload.
  * Update upstream signing key.
    Download from https://dl.google.com/dl/linux/linux_signing_key.pub
  * New upstream version 1.19~rc1
    + Fix boostrap with gccgo (Closes: #1014238)
  * Update Standards-Version to 4.6.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 07 Jul 2022 23:42:03 +0800

golang-1.19 (1.19~beta1-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload for migration to testing

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 02 Jul 2022 03:11:52 +0800

golang-1.19 (1.19~beta1-1) unstable; urgency=medium

  * New upstream version 1.19 beta1

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Fri, 10 Jun 2022 13:52:13 -0500

golang-1.18 (1.18.3-1) unstable; urgency=medium

  * New upstream version 1.18.3

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Wed, 01 Jun 2022 17:23:29 -0500

golang-1.18 (1.18.2-2) unstable; urgency=medium

  * d/p/0007-cmd-link-use-TOC-relative-trampolines-on-PPC64-when-.patch:
    Remove patch.  It's causing the build on ppc64el to FTBFS during link
    time.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 14 May 2022 15:22:04 -0400

golang-1.18 (1.18.2-1) unstable; urgency=medium

  * New upstream version 1.18.2
  * d/p/0007-cmd-link-use-TOC-relative-trampolines-on-PPC64-when-.patch:
    Use TOC-relative trampolines on ppc64el when needed.  Fix link error
    when building PIE binaries. (Closes: #1010942)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 13 May 2022 14:07:03 -0400

golang-1.18 (1.18.1-1) unstable; urgency=medium

  * New upstream version 1.18.1
    + CVE-2022-24675: encoding/pem: fix stack overflow in Decode
    + CVE-2022-28327: crypto/elliptic: tolerate all oversized scalars
      in generic P-256
    + CVE-2022-27536: crypto/x509: non-compliant certificates can
      cause a panic in Verify on macOS in Go 1.18

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Wed, 13 Apr 2022 12:54:36 -0500

golang-1.18 (1.18-1) unstable; urgency=medium

  * New upstream version 1.18

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 15 Mar 2022 14:59:19 -0500

golang-1.18 (1.18~rc1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.18~rc1

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 18 Feb 2022 01:31:48 +0800

golang-1.18 (1.18~beta2-1) unstable; urgency=medium

  * New upstream version 1.18 beta2

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Mon, 31 Jan 2022 16:53:48 -0600

golang-1.18 (1.18~beta1-2) unstable; urgency=medium

  * Source-only upload for migration to testing

 -- Anthony Fok <foka@debian.org>  Thu, 13 Jan 2022 14:01:05 -0700

golang-1.18 (1.18~beta1-1) unstable; urgency=medium

  * New upstream version 1.18 beta1

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Wed, 15 Dec 2021 16:07:48 -0600

golang-1.17 (1.17.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.17.5
    + CVE-2021-44716: net/http: limit growth of header canonicalization cache
    + CVE-2021-44717: syscall: don’t close fd 0 on ForkExec error

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 09 Dec 2021 23:22:36 +0800

golang-1.17 (1.17.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.17.4

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 04 Dec 2021 01:32:29 +0800

golang-1.17 (1.17.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.17.3

