## golang-1.20 1.20~rc3

=== debian/changelog ===
golang-1.20 (1.20~rc3-2) unstable; urgency=medium

  * Team upload
  * Revert strict parsing of RFC 3339.
    See https://github.com/golang/go/issues/54580

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 19 Jan 2023 16:45:22 +0800

golang-1.20 (1.20~rc3-1) unstable; urgency=medium

  [ William 'jawn-smith' Wilson ]
  * New upstream version 1.20 rc3

  [ Shengjing Zhu ]
  * Drop 0005-syscall-skip-TestUseCgroupFD-if-cgroupfs-not-mounted.patch,
    merged in new version.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 13 Jan 2023 09:51:55 +0800

golang-1.20 (1.20~rc2-2) unstable; urgency=medium

  * Team upload
  * Add NO_PNG_PKG_MANGLE to prevent mangling testdata.
    This is Ubuntu specific behaviour so they can sync the package without
    vendor patch.
  * Revert "internal/fsys: follow root symlink in fsys.Walk"
    Fix https://github.com/golang/go/issues/57754

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 12 Jan 2023 22:27:08 +0800
