## golang-1.20 1.20.3

=== debian/changelog ===
golang-1.20 (1.20.3-1ubuntu0.1~22.04.1) jammy-security; urgency=medium

  * SECURITY UPDATE: XSS issue
    - debian/patches/CVE-2023-39318.patch: support HTML-like comments in
      script contexts
    - debian/patches/CVE-2023-39319.patch: roperly handle special tags
      within the script context
    - CVE-2023-39318
    - CVE-2023-39319
  * SECURITY UPDATE: bypass directives restrictions
    - debian/patches/CVE-2023-39323.patch: cmd/compile: use absolute file
      name in isCgo check
    - CVE-2023-39323
  * SECURITY UPDATE: denial of service
    - debian/patches/CVE-2023-39325_44487.patch: http2: limit maximum
      handler goroutines to MaxConcurrentStreams
    - CVE-2023-39325
    - CVE-2023-44487
  * SECURITY UPDATE: out-of-bound read
    - debian/patches/CVE-2023-39326.patch: net/http: limit chunked data
      overhead
    - CVE-2023-39326
  * SECURITY UPDATE: bypass secure protocol
    - debian/patches/CVE-2023-45285.patch: error out if the requested repo
      does not support a secure protocol
    - CVE-2023-45285

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 10 Jan 2024 11:28:05 +0530

golang-1.20 (1.20.3-1ubuntu0.1~22.04) jammy; urgency=medium

  * Backport to Jammy (LP: #2020658)

 -- Denison Barbosa <denison.barbosa@canonical.com>  Thu, 15 Jun 2023 14:55:15 +0200

golang-1.20 (1.20.3-1ubuntu0.1) lunar-security; urgency=medium

  * SECURITY UPDATE: html injection vulnerability
    - debian/patches/CVE-2023-24539.patch: disallow angle brackets in CSS
      values
    - debian/patches/CVE-2023-29400.patch: emit filterFailsafe for empty
      unquoted attr value
    - CVE-2023-24539
    - CVE-2023-29400
  * SECURITY UPDATE: javascript injection vulnerability
    - debian/patches/CVE-2023-24540.patch: handle all JS whitespace
      characters
    - CVE-2023-24540

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 31 May 2023 17:28:05 +0530

golang-1.20 (1.20.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.20.3
    + CVE-2023-24537: go/parser: infinite loop in parsing
    + CVE-2023-24538: html/template: backticks not treated as string delimiters
    + CVE-2023-24534: net/http, net/textproto: denial of service from excessive
      memory allocation
    + CVE-2023-24536: net/http, net/textproto, mime/multipart: denial of
      service from excessive resource consumption

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 05 Apr 2023 02:04:08 +0800

golang-1.20 (1.20.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.20.2
    + CVE-2023-24532: crypto/elliptic: incorrect P-256 ScalarMult and
      ScalarBaseMult results

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 08 Mar 2023 13:57:35 +0800

golang-1.20 (1.20.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.20.1
    + CVE-2022-41722: path/filepath: path traversal in filepath.Clean on
      Windows
    + CVE-2022-41725: net/http, mime/multipart: denial of service from
      excessive resource consumption
    + CVE-2022-41724: crypto/tls: large handshake records may cause panics
    + CVE-2022-41723: net/http: avoid quadratic complexity in HPACK decoding

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 15 Feb 2023 09:53:55 +0800

golang-1.20 (1.20-1) unstable; urgency=medium

  * Team upload
  * New upstream release 1.20
  * Remove patches applied upstream:
    - d/patches/0005-Revert-internal-fsys-follow-root-symlink-in-fsys.Wal.patch
    - d/patches/0006-time-revert-strict-parsing-of-RFC-3339.patch

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 02 Feb 2023 13:54:15 +1300
