## golang-1.20 1.20.4

=== debian/changelog ===
golang-1.20 (1.20.4-1deepin2) unstable; urgency=medium

  * Backport a patch from 1.21 to fix errors in atomic ops for RISC-V
    See: https://go-review.googlesource.com/c/go/+/511856

 -- Chang Yang <yangchang@deepin.org>  Tue, 01 Aug 2023 17:17:29 +0800

golang-1.20 (1.20.4-1deepin1) unstable; urgency=medium

  * Add loong64 support & loong64 pie support

 -- Han Gao <gaohan@iscas.ac.cn>  Mon, 15 May 2023 18:16:15 +0800

golang-1.20 (1.20.4-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.20.4
    + CVE-2023-24539: html/template: improper sanitization of CSS values
    + CVE-2023-24540: html/template: improper handling of JavaScript whitespace
    + CVE-2023-29400: html/template: improper handling of empty HTML attributes

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 03 May 2023 14:56:49 +0800

golang-1.20 (1.20.1-1deepin1) unstable; urgency=medium

  * Add loong64 in control

 -- Han Gao <gaohan@iscas.ac.cn>  Sun, 19 Feb 2023 01:06:42 +0800
