=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 #
 
 Source: golang-1.20
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Compiler Team <team+go-compiler@tracker.debian.org>
+Maintainer: Debian Go Compiler Team <team+go-compiler@tracker.debian.org>
 Uploaders: Michael Stapelberg <stapelberg@debian.org>,
            Paul Tagliamonte <paultag@debian.org>,
            Tianon Gravi <tianon@debian.org>,
@@ -23,7 +22,7 @@
 Rules-Requires-Root: no
 
 Package: golang-1.20-go
-Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64 ppc64el riscv64 s390x
+Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64 ppc64el riscv64 s390x loong64
 Depends: golang-1.20-src (>= ${source:Version}),
          ${misc:Depends},
          ${perl:Depends},
