## golang-1.20 1.20.7

=== debian/changelog ===
golang-1.20 (1.20.7-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.20.7
    + CVE-2023-29409: crypto/tls: restrict RSA keys in certificates
      to <= 8192 bits

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 02 Aug 2023 11:30:27 +0800

golang-1.20 (1.20.6-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.20.6
    + CVE-2023-29406: net/http: insufficient sanitization of Host header
  * Add autopkgtest

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 12 Jul 2023 13:34:53 +0800

golang-1.20 (1.20.5-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.20.5
    + CVE-2023-29402: cmd/go: cgo code injection
    + CVE-2023-29403: runtime: unexpected behavior of setuid/setgid binaries
    + CVE-2023-29404/CVE-2023-29405: cmd/go: improper sanitization of LDFLAGS

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 07 Jun 2023 12:05:11 +0800
