## golang-1.20 1.20.8

=== debian/changelog ===
golang-1.20 (1.20.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.20.8
    + CVE-2023-39318: html/template: improper handling of HTML-like comments
      within script contexts
    + CVE-2023-39319: html/template: improper handling of special tags within
      script contexts

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 07 Sep 2023 11:58:16 +0800
