=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 Rules-Requires-Root: no
 
 Package: golang-1.20-go
-Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64 ppc64el riscv64 s390x loong64
+Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64 ppc64el riscv64 s390x
 Depends: golang-1.20-src (>= ${source:Version}),
          ${misc:Depends},
          ${perl:Depends},
