## golang-1.20 1.20.13

=== debian/changelog ===
golang-1.20 (1.20.13-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.20.13

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 11 Jan 2024 18:47:27 +0800

golang-1.20 (1.20.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.20.12
    + CVE-2023-39326: net/http: limit chunked data overhead
    + CVE-2023-45285: cmd/go: go get may unexpectedly fallback to insecure git
    + CVE-2023-45283: path/filepath: retain trailing \ when cleaning paths
      like \\?\c:\

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 06 Dec 2023 15:36:27 +0800

golang-1.20 (1.20.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.20.11
    + CVE-2023-45283: path/filepath: recognize \??\ as a Root Local Device
      path prefix.
    + CVE-2023-45284: path/filepath: recognize device names with trailing
      spaces and superscripts.

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 08 Nov 2023 03:42:23 +0800

golang-1.20 (1.20.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.20.10
    + CVE-2023-44487/CVE-2023-39325: net/http: rapid stream resets can cause
      excessive work

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 11 Oct 2023 14:49:01 +0800

golang-1.20 (1.20.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.20.9
    + CVE-2023-39323: cmd/go: line directives allows arbitrary execution during
      build

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 06 Oct 2023 19:40:40 +0800
