## golang-1.20 1.20.14

=== debian/changelog ===
golang-1.20 (1.20.14-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 28 Feb 2024 16:21:01 +0800

golang-1.20 (1.20.14-2) unstable; urgency=medium

  * Team upload
  * Skip flaky TestCrashDumpsAllThreads on mips64le

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 26 Feb 2024 17:14:19 +0800

golang-1.20 (1.20.14-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Anthony Fok <foka@debian.org>  Fri, 23 Feb 2024 10:04:29 -0700

golang-1.20 (1.20.14-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.20.14

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 21 Feb 2024 16:32:56 +0800

golang-1.20 (1.20.12-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Anthony Fok <foka@debian.org>  Mon, 01 Jan 2024 23:46:37 -0700

golang-1.20 (1.20.11-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Anthony Fok <foka@debian.org>  Sun, 12 Nov 2023 17:17:52 -0700

golang-1.20 (1.20.7-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 29 Aug 2023 12:32:51 +0800
